<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="error" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="AvailableLibraryUpdateStorage">
    <last-search-timestamp>1606393998633</last-search-timestamp>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="f05ffd2c-e932-45a2-a124-fb96364182ba" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_11_26/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="625">
              <caret line="32" column="39" selection-start-line="32" selection-start-column="39" selection-end-line="32" selection-end-column="39" />
              <folding>
                <element signature="e#1247#1248#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/ThreadManager.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="143">
              <caret line="15" column="26" selection-start-line="15" selection-start-column="13" selection-end-line="15" selection-end-column="26" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#833#1097#0" expanded="true" />
                <element signature="e#1096#1097#0" expanded="true" />
                <element signature="e#245#246#0" expanded="true" />
                <element signature="e#280#281#0" expanded="true" />
                <element signature="e#1666#2018#0" expanded="true" />
                <element signature="e#2017#2018#0" expanded="true" />
                <element signature="e#2116#2776#0" expanded="true" />
                <element signature="e#2775#2776#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/MnHttp.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="275">
              <caret line="11" column="17" lean-forward="true" selection-start-line="11" selection-start-column="17" selection-end-line="11" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/HttpRequest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="354">
              <caret line="83" selection-start-line="83" selection-end-line="83" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#166#167#0" expanded="true" />
                <element signature="e#196#197#0" expanded="true" />
                <element signature="e#277#278#0" expanded="true" />
                <element signature="e#311#312#0" expanded="true" />
                <element signature="e#2714#2715#0" expanded="true" />
                <element signature="e#2741#2742#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/JasonCallBackImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="320">
              <caret line="40" column="25" selection-start-line="40" selection-start-column="25" selection-end-line="40" selection-end-column="25" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#980#1137#0" expanded="true" />
                <element signature="e#1136#1137#0" expanded="true" />
                <element signature="e#1024#1149#0" expanded="true" />
                <element signature="e#1148#1149#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/IJsonListenner.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="150">
              <caret line="6" column="10" selection-start-line="6" selection-start-column="10" selection-end-line="6" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/http/src/main/java/com/maniu/http/IJsonListenner.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/http/src/main/java/com/maniu/http/CallBackListenner.java" />
        <option value="$PROJECT_DIR$/http/build.gradle" />
        <option value="$PROJECT_DIR$/http/src/main/java/com/maniu/http/ThreadMamager.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_11_26/RequestBean.java" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/http/src/main/java/com/maniu/http/HttpTask.java" />
        <option value="$PROJECT_DIR$/http/src/main/java/com/maniu/http/IHttpRequest.java" />
        <option value="$PROJECT_DIR$/http/src/main/java/com/maniu/http/HttpRequest.java" />
        <option value="$PROJECT_DIR$/http/src/main/java/com/maniu/http/ThreadManager.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_11_26/MainActivity.java" />
        <option value="$PROJECT_DIR$/http/src/main/java/com/maniu/http/MnHttp.java" />
        <option value="$PROJECT_DIR$/http/src/main/java/com/maniu/http/JasonCallBackImpl.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="1">
    <option name="x" value="19" />
    <option name="y" value="36" />
    <option name="width" value="1623" />
    <option name="height" value="1002" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="mn_2020_11_26" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="http" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="http" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="http" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="http" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_11_26" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_11_26" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="http" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="http" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="E:/Android/Sdk" />
    <property name="device.picker.selection" value="Pixel_3_API_24_2" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.33124018" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.maniu.http" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_2020_11_26\app\src\main\java\com\maniu\mn_2020_11_26" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f05ffd2c-e932-45a2-a124-fb96364182ba" name="Default Changelist" comment="" />
      <created>1606391423900</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1606391423900</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="19" y="36" width="1623" height="1002" extended-state="1" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" visible="true" weight="0.2205029" />
      <window_info id="Structure" side_tool="true" />
      <window_info id="Build Variants" side_tool="true" />
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="Resources Explorer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Run" />
      <window_info anchor="bottom" id="Logcat" visible="true" weight="0.25555557" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="TODO" />
      <window_info anchor="bottom" id="Debug" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" side_tool="true" />
      <window_info anchor="bottom" id="Build" weight="0.37530863" />
      <window_info anchor="bottom" id="Android Profiler" />
      <window_info anchor="right" id="Device File Explorer" side_tool="true" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Gradle" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Flutter Inspector" />
      <window_info anchor="right" id="Preview" />
      <window_info anchor="right" id="Flutter Outline" />
      <window_info anchor="right" id="Palette&#9;" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="400">
          <caret line="16" column="35" selection-start-line="16" selection-start-column="35" selection-end-line="16" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/IJsonListenner.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="6" column="10" selection-start-line="6" selection-start-column="10" selection-end-line="6" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/CallBackListenner.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="200">
          <caret line="8" column="10" lean-forward="true" selection-start-line="8" selection-start-column="10" selection-end-line="8" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="475">
          <caret line="34" column="48" selection-start-line="34" selection-start-column="48" selection-end-line="34" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/java/util/concurrent/ThreadPoolExecutor.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="18" column="11" selection-start-line="18" selection-start-column="11" selection-end-line="18" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_11_26/ResponseBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" column="3" lean-forward="true" selection-start-line="4" selection-start-column="3" selection-end-line="5" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="3" column="82" selection-start-line="3" selection-start-column="82" selection-end-line="3" selection-end-column="82" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="jar://F:/sdk1/platforms/android-30/android.jar!/java/util/concurrent/DelayQueue.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="10" lean-forward="true" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_11_26/RequestBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" column="3" selection-start-line="2" selection-start-column="3" selection-end-line="2" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/HttpTask.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="254">
          <caret line="76" column="16" lean-forward="true" selection-start-line="76" selection-start-column="16" selection-end-line="76" selection-end-column="16" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1171#1172#0" expanded="true" />
            <element signature="e#1205#1206#0" expanded="true" />
            <element signature="e#1256#1257#0" expanded="true" />
            <element signature="e#1302#1303#0" expanded="true" />
            <element signature="e#1384#1385#0" expanded="true" />
            <element signature="e#1416#1417#0" expanded="true" />
            <element signature="e#1169#1170#0" expanded="true" />
            <element signature="e#1193#1194#0" expanded="true" />
            <element signature="e#1855#1856#0" expanded="true" />
            <element signature="e#1890#1891#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/IHttpRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="425">
          <caret line="17" column="42" selection-start-line="17" selection-start-column="42" selection-end-line="17" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/HttpRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="354">
          <caret line="83" selection-start-line="83" selection-end-line="83" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#166#167#0" expanded="true" />
            <element signature="e#196#197#0" expanded="true" />
            <element signature="e#277#278#0" expanded="true" />
            <element signature="e#311#312#0" expanded="true" />
            <element signature="e#2714#2715#0" expanded="true" />
            <element signature="e#2741#2742#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/ThreadManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="143">
          <caret line="15" column="26" selection-start-line="15" selection-start-column="13" selection-end-line="15" selection-end-column="26" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#833#1097#0" expanded="true" />
            <element signature="e#1096#1097#0" expanded="true" />
            <element signature="e#245#246#0" expanded="true" />
            <element signature="e#280#281#0" expanded="true" />
            <element signature="e#1666#2018#0" expanded="true" />
            <element signature="e#2017#2018#0" expanded="true" />
            <element signature="e#2116#2776#0" expanded="true" />
            <element signature="e#2775#2776#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_11_26/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="625">
          <caret line="32" column="39" selection-start-line="32" selection-start-column="39" selection-end-line="32" selection-end-column="39" />
          <folding>
            <element signature="e#1247#1248#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/JasonCallBackImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="320">
          <caret line="40" column="25" selection-start-line="40" selection-start-column="25" selection-end-line="40" selection-end-column="25" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#980#1137#0" expanded="true" />
            <element signature="e#1136#1137#0" expanded="true" />
            <element signature="e#1024#1149#0" expanded="true" />
            <element signature="e#1148#1149#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http/src/main/java/com/maniu/http/MnHttp.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="11" column="17" lean-forward="true" selection-start-line="11" selection-start-column="17" selection-end-line="11" selection-end-column="17" />
        </state>
      </provider>
    </entry>
  </component>
</project>